Subject: Re: [PATCH 0/2] ip/ip6_gre: Fix GRE tunnels not generating IPv6 link local addresses

From: Jakub Kicinski <[email-masked]>
Date: Tue, 24 Jan 2023 19:28:08 -0800

On Tue, 24 Jan 2023 16:21:01 +1300 Thomas Winter wrote:
> For our point-to-point GRE tunnels, they have IN6_ADDR_GEN_MODE_NONE
> when they are created then we set IN6_ADDR_GEN_MODE_EUI64 when they
> come up to generate the IPv6 link local address for the interface.
> Recently we found that they were no longer generating IPv6 addresses.
> 
> Also, non-point-to-point tunnels were not generating any IPv6 link
> local address and instead generating an IPv6 compat address,
> breaking IPv6 communication on the tunnel.
> 
> These failures were caused by commit e5dd729460ca and this patch set
> aims to resolve these issues.

Ah, you have the problem statement here. It needs to go into the
patches, I'm afraid. The cover letters are not as visible in-tree
and certainly don't make it to stable trees.